//
// Created by philipp on 20.04.18.
//

#include "../include/VeloxProtocolLib/Connection.h"
#include <iostream>

int main(int argc, char ** argv)
{
    using namespace veloxProtocol;
    networking::Networking net;
    auto conn = Connection::create(net);
    conn->open(
        "/dev/ttySAC0",
        []
        {},
        []
        { std::cout << "Connection closed!\n"; });

    for (std::string in{"0"}; in != "x"; std::getline(std::cin, in))
    {
        float value = std::stof(in);
        std::cout << "Setting speed to: " << value << "\n";
        conn->setSpeed(value);
    }

    conn->close();
    sleep(1);

    return 0;
}